
with Version;

package body Applications.Shell is

    not overriding
    procedure Construct( this    : access Shell_Application;
                         company : String;
                         name    : String ) is
    begin
        Application(this.all).Construct( company, name, winTitle => name );
    end Construct;

    ----------------------------------------------------------------------------

    overriding
    function Init( this : access Shell_Application ) return Boolean is
    begin
        -- init without graphics
        return this.Init( app_xres  => 0,
                          app_yres  => 0,
                          app_scale => 1,
                          app_windowed => False );
    end Init;

    ----------------------------------------------------------------------------

    not overriding
    function Get_Announce( this : access Shell_Application ) return String is
    begin
        return this.Get_Name & " v" & Version.Release & " - " &
               this.Get_Company & " " &
               "Copyright (C) " & Version.Copyright_Year;
    end Get_Announce;

end Applications.Shell;
