
limited with Game_Views;

package Widgets.Buttons.Toggles is

    type Toggle_Button is new Button with private;
    type A_Toggle_Button is access all Toggle_Button'Class;

    function Create_Toggle_Button( view : not null access Game_Views.Game_View'Class;
                                   id   : String;
                                   text : String := "";
                                   icon : String := "" ) return A_Button;
    pragma Precondition( id'Length > 0 );
    pragma Postcondition( Create_Toggle_Button'Result /= null );

private

    type Toggle_Button is new Button with null record;

    function Handle_Key_Press( this : access Toggle_Button;
                               evt  : not null A_Key_Event ) return Boolean;

    procedure Handle_Mouse_Press( this : access Toggle_Button;
                                  evt  : not null A_Mouse_Button_Event );

end Widgets.Buttons.Toggles;
