
package Applications.Shell is

private

    type Shell_Application is abstract new Application with null record;

    procedure Construct( this    : access Shell_Application;
                         company : String;
                         name    : String );

    -- Returns a string announcing the product. It is formatted as:
    -- [APPNAME] & " v[VERSION] - [COMPANY] Copyright (C) [BUILD_YEAR]
    function Get_Announce( this : access Shell_Application ) return String;

    -- Initializes the application without a graphics window.
    function Init( this : access Shell_Application ) return Boolean;

end Applications.Shell;
